> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post invite



## OpenAPI

````yaml /openapi.json post /invite
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /invite:
    post:
      tags:
        - invitation
      operationId: InvitationController_invite
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidProductErrorDto'
                  - $ref: '#/components/schemas/InvalidEmailErrorDto'
              examples:
                INVALID_PRODUCT:
                  $ref: '#/components/schemas/InvalidProductErrorDto'
                INVALID_EMAIL:
                  $ref: '#/components/schemas/InvalidEmailErrorDto'
          description: ''
components:
  schemas:
    InviteInputBody:
      type: object
      properties:
        policyId:
          type: string
          description: Policy id
        customerId:
          type: string
          description: Customer id
        branchId:
          type: string
          description: Branch id
        email:
          type: string
          description: Email address
        role:
          type: string
          description: Role for the invitation
      required:
        - policyId
        - customerId
        - role
    InviteOutput:
      type: object
      properties: {}
    InvalidProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PRODUCT
        message:
          type: string
          example: Invalid product {product}
        details:
          $ref: '#/components/schemas/InvalidProductDetailsDto'
      required:
        - code
        - message
        - details
    InvalidEmailErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        message:
          type: string
          example: Invalid email
        details:
          $ref: '#/components/schemas/InvalidEmailDetailsDto'
      required:
        - code
        - message
        - details
    InvalidProductDetailsDto:
      type: object
      properties:
        tenant:
          type: string
        product:
          type: string
        expectedProduct:
          type: string
      required:
        - product
    InvalidEmailDetailsDto:
      type: object
      properties:
        email:
          type: string
      required:
        - email

````